Skip to main content
PATCH
/
v3
/
order
/
{order_id}
curl --request PATCH \
  --url https://api.sandbox.junction.com/v3/order/<order_id> \
  --header 'x-vital-api-key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "activate_by": "2026-06-01"
  }'
{
  "order": {
    "id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
    "team_id": "cbb64555-af07-46c1-be09-ef89308e9b60",
    "user_id": "94e2d9f2-d600-4a23-9f08-536df378e2c7",
    "activate_by": "2026-06-01",
    "status": "received"
  },
  "status": "success",
  "message": "order updated"
}

Documentation Index

Fetch the complete documentation index at: https://docs.junction.com/llms.txt

Use this file to discover all available pages before exploring further.

You can only update an order while its low-level status is ordered or awaiting_registration.
curl --request PATCH \
  --url https://api.sandbox.junction.com/v3/order/<order_id> \
  --header 'x-vital-api-key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "activate_by": "2026-06-01"
  }'
{
  "order": {
    "id": "0ee312e2-6773-4a21-a6e1-506882cd98ed",
    "team_id": "cbb64555-af07-46c1-be09-ef89308e9b60",
    "user_id": "94e2d9f2-d600-4a23-9f08-536df378e2c7",
    "activate_by": "2026-06-01",
    "status": "received"
  },
  "status": "success",
  "message": "order updated"
}

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

order_id
string<uuid>
required

Your Order ID.

Body

application/json

Patch body for updating a modifiable order's scheduled activation date.

activate_by
string<date> | null
required

The date on which the order should be activated (dispatched to the lab). Must be today or a future date. Set to null to clear an existing scheduled date and dispatch the order immediately. Note: an order originally created for immediate processing (no activate_by at creation time) cannot be rescheduled — only orders that were created with an activate_by can have it changed or cleared.

Response

Successful Response

order
ClientFacingOrder · object
required
Example:
{
"activate_by": "2020-01-01",
"created_at": "2020-01-01T00:00:00Z",
"details": {
"data": {
"created_at": "2020-01-01T00:00:00Z",
"id": "a655f0e4-6405-4a1d-80b7-66f06c2108a7",
"shipment": {
"created_at": "2020-01-01T00:00:00.000Z",
"id": "d55210cc-3d9f-4115-8262-5013f700c7be",
"inbound_courier": "usps",
"inbound_tracking_number": "<inbound_tracking_number>",
"inbound_tracking_url": "<inbound_tracking_url>",
"notes": "<notes>",
"outbound_courier": "usps",
"outbound_tracking_number": "<outbound_tracking_number>",
"outbound_tracking_url": "<outbound_tracking_url>",
"updated_at": "2020-01-01T00:00:00.000Z"
},
"updated_at": "2020-01-01T00:00:00Z"
},
"type": "testkit"
},
"events": [
{
"created_at": "2022-01-01T00:00:00Z",
"id": 1,
"status": "received.testkit.ordered"
},
{
"created_at": "2022-01-02T00:00:00Z",
"id": 2,
"status": "received.testkit.requisition_created"
},
{
"created_at": "2022-01-03T00:00:00Z",
"id": 3,
"status": "collecting_sample.testkit.transit_customer"
}
],
"has_abn": false,
"health_insurace_id": "1b0518f4-02cd-4b5f-a009-8015da6e9654",
"id": "304bdcdb-3ab5-41f3-ba97-de1a6702bd39",
"lab_test": {
"description": "Cholesterol test",
"method": "testkit",
"name": "Lipids Panel"
},
"last_event": {
"created_at": "2022-01-03T00:00:00Z",
"id": 3,
"status": "collecting_sample.testkit.transit_customer"
},
"notes": "This is a note",
"order_transaction": {
"id": "a655f0e4-6405-4a1d-80b7-66f06c2108a7",
"orders": [
{
"created_at": "2020-01-01T00:00:00Z",
"id": "d55210cc-3d9f-4115-8262-5013f700c7be",
"low_level_status": "transit_customer",
"low_level_status_created_at": "2020-01-05T00:00:00Z",
"origin": "initial",
"updated_at": "2020-01-05T00:00:00Z"
},
{
"created_at": "2020-01-05T01:00:00Z",
"id": "e66321dd-4e0g-5226-9373-6124g811d8cf",
"low_level_status": "requisition_created",
"low_level_status_created_at": "2020-01-05T01:00:00Z",
"origin": "redraw",
"updated_at": "2020-01-05T01:00:00Z"
}
],
"status": "active"
},
"origin": "initial",
"patient_address": {
"city": "San Francisco",
"country": "United States",
"first_line": "123 Main St.",
"phone_number": "+11234567890",
"receiver_name": "John Doe",
"second_line": "Apt. 208",
"state": "CA",
"zip": "91189"
},
"patient_details": { "dob": "2020-01-01", "gender": "male" },
"requisition_form_url": "https://www.example.com",
"sample_id": "123456789",
"status": "collecting_sample",
"team_id": "8b394366-3502-48e9-a07a-f9503091fd9c",
"updated_at": "2020-01-01T00:00:00Z",
"user_id": "1fb6c1b6-9572-4596-8cfd-930e45ea9d01"
}
status
string
required
message
string
required